# $Revision: 1.176 $, $Date: 2010/02/06 11:24:20 $
#
# Conditional build:
%bcond_with	aalib		# with aalib graphics support
%bcond_with	caca		# with caca graphics support
%bcond_with	directfb	# with DirectFB graphics support
%bcond_with	ggi		# with GGI graphics support
%bcond_with	nas		# with NAS audio support
%bcond_with	svga		# with svgalib graphics support
%bcond_without	alsa		# without ALSA audio support
%bcond_without	arts		# without aRts audio support
%bcond_without	esd		# without EsounD audio support
%bcond_without	static_libs	# don't build static libraries
#
# NOTE: the following libraries are dlopened by soname detected at build time:
# libasound.so.2
# libesd.so.0
# libpulse-simple.so.0
# libX11.so.6
# libXext.so.6
# libXrender.so.1
# libXrandr.so.2
Summary:	SDL (Simple DirectMedia Layer) - Game/Multimedia Library
Summary(pl.UTF-8):	SDL (Simple DirectMedia Layer) - Biblioteka do gier/multimediów
Summary(zh_CN.UTF-8):	SDL (Simple DirectMedia Layer) Generic APIs - 游戏/多媒体库
Name:		SDL
Version:	1.2.14
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.libsdl.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	e52086d1b508fa0b76c52ee30b55bec4
Patch0:		%{name}-mmx-constraints.patch
Patch1:		%{name}-acfix.patch
Patch2:		%{name}-caca.patch
URL:		http://www.libsdl.org/
%{?with_directfb:BuildRequires:	DirectFB-devel >= 0.9.15}
BuildRequires:	OpenGL-GLU-devel
%{?with_aalib:BuildRequires:	aalib-devel}
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
%{?with_arts:BuildRequires:	artsc-devel >= 1.1}
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
%{?with_esd:BuildRequires:	esound-devel >= 0.2.8}
BuildRequires:	gcc >= 5:4.0
%{?with_caca:BuildRequires:	libcaca-devel}
%{?with_ggi:BuildRequires:	libggi-devel}
BuildRequires:	libtool >= 2:1.4d
%{?with_nas:BuildRequires:	nas-devel}
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	perl-modules
BuildRequires:	pkgconfig >= 1:0.7
BuildRequires:	pulseaudio-devel >= 0.9
%{?with_svga:BuildRequires:	svgalib-devel >= 1.4.0}
BuildRequires:	tslib-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ppc	-maltivec

%description
SDL (Simple DirectMedia Layer) is a library that allows you portable,
low level access to a video framebuffer, audio output, mouse, and
keyboard. It can support both windowed and DGA modes of XFree86, and
it is designed to be portable - applications linked with SDL can also
be built on Win32 and BeOS.

%description -l pl.UTF-8
SDL (Simple DirectMedia Layer) jest biblioteką udostępniającą
przenośny, niskopoziomowy dostęp do bufora ramki video, wyjścia audio,
myszy oraz klawiatury. Może obsługiwać zarówno okienkowy tryb XFree86
jak i DGA. Konstruując ją miano na uwadze przenośność: aplikacje
konsolidowane z SDL można również budować w systemach Win32 i BeOS.

%description -l pt_BR.UTF-8
Esse é o Simple DirectMedia Layer, uma API genérica que dá acesso de
baixo nível a áudio, teclado, mouse e vídeo em várias plataformas.

Essa biblioteca é usada por alguns jogos.

%description -l ru.UTF-8
SDL (Simple DirectMedia Layer) это набор функций, предоставляющий
низкоуровневый доступ к звуку, клавиатуре, манипулятору мышь и к
буферу экрана на множестве различных платформ.

%package devel
Summary:	SDL - Header files
Summary(pl.UTF-8):	SDL - Pliki nagłówkowe
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de cabeçalho para aplicações SDL
Summary(ru.UTF-8):	Файлы, необходимые для разработки программ, использующих SDL
Summary(uk.UTF-8):	Файли, необхідні для розробки програм, що використовують SDL
Summary(zh_CN.UTF-8):	SDL (Simple DirectMedia Layer) 开发库
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_directfb:Requires:	DirectFB-devel >= 0.9.15}
%{?with_aa:Requires:	aalib-devel}
%{?with_caca:Requires:	libcaca-devel}
%{?with_ggi:Requires:	libggi-devel}
%{?with_nas:Requires:	nas-devel}
%{?with_svga:Requires:	svgalib-devel >= 1.4.0}
Requires:	tslib-devel
Requires:	xorg-lib-libX11-devel
Suggests:	OpenGL-GLU-devel

%description devel
SDL - Header files.

%description devel -l pl.UTF-8
SDL - Pliki nagłówkowe.

%description devel -l pt_BR.UTF-8
Esse pacote contém bibliotecas, arquivos de cabeçalho e outros
recursos para o desenvolvimento de aplicativos com SDL.

%description devel -l ru.UTF-8
Этот пакет содержит файлы, необходимые для разработки программ,
использующих SDL.

%description devel -l uk.UTF-8
Цей пакет містить файли, необхідні для розробки програм, що
використовують SDL.

%package static
Summary:	SDL - static libraries
Summary(pl.UTF-8):	SDL - biblioteki statyczne
Summary(pt_BR.UTF-8):	Biblioteca estática para desenvolvimento de aplicações com a SDL
Summary(ru.UTF-8):	Статические библиотеки для разработки с использованием SDL
Summary(uk.UTF-8):	Статичні бібліотеки для розробки з використанням SDL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
SDL - static libraries.

%description static -l pl.UTF-8
SDL - biblioteki statyczne.

%description static -l pt_BR.UTF-8
Biblioteca estática para desenvolvimento de aplicações com a SDL.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки для разработки программ,
использующих SDL.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки для розробки програм, що
використовують SDL.

%package examples
Summary:	SDL - example programs
Summary(pl.UTF-8):	SDL - programy przykładowe
License:	Public Domain
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
SDL - example programs.

%description examples -l pl.UTF-8
SDL - przykładowe programy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1	# needs rewrite

: > acinclude.m4
%{!?with_alsa:echo 'AC_DEFUN([AM_PATH_ALSA],[$3])' >> acinclude.m4}
%{!?with_esd:echo 'AC_DEFUN([AM_PATH_ESD],[$3])' >> acinclude.m4}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
%ifarch %{ix86}
	--enable-nasm \
%else
	--disable-nasm \
%endif
	--disable-rpath \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_arts:--disable-arts} \
	--enable-dga \
	%{!?with_esd:--disable-esd} \
	%{!?with_nas:--disable-nas} \
	--enable-pthreads \
	--enable-pthread-sem \
	%{?with_aalib:--enable-video-aalib} \
	%{?with_caca:--enable-video-caca} \
	%{!?with_directfb:--disable-video-directfb} \
	--enable-video-dga \
	--enable-video-fbcon \
	%{?with_ggi:--enable-video-ggi} \
	--enable-video-opengl \
	%{!?with_svga:--disable-video-svga} \
	--enable-video-x11-dgamouse \
	--enable-video-x11-vm \
	--enable-video-x11-xinerama \
	--enable-video-x11-xme \
	--enable-video-x11-xrandr \
	--enable-video-x11-xv \
	--with-x \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

rm -rf test/autom4te.cache
install test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -rf docs/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS README README-SDL.txt TODO WhatsNew
%attr(755,root,root) %{_libdir}/libSDL-1.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL-1.2.so.0

%files devel
%defattr(644,root,root,755)
%doc docs.html docs
%attr(755,root,root) %{_bindir}/sdl-config
%attr(755,root,root) %{_libdir}/libSDL.so
%{_libdir}/libSDL.la
%{_libdir}/libSDLmain.a
%{_includedir}/SDL
%{_aclocaldir}/sdl.m4
%{_pkgconfigdir}/sdl.pc
%{_mandir}/man3/SDL*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL.a
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL.spec,v $
Revision 1.176  2010/02/06 11:24:20  baggins
- rel 2

Revision 1.175  2009/12/29 14:41:42  sparky
- BR: pkgconfig always (required for pulseaudio)

Revision 1.174  2009/12/29 14:38:24  sparky
- -devel requires xorg-lib-libX11-devel: SDL_syswm.h includes X11/Xlib.h

Revision 1.173  2009/10/21 08:21:51  lisu
- adapter

Revision 1.172  2009/10/21 07:56:23  lisu
- up to 1.2.14
- libdir.patch is obsolete

Revision 1.171  2008/10/22 21:20:18  sparky
- rel 3; STBR, thx

Revision 1.170  2008/10/22 21:11:07  sparky
- cleanup acinclude.m4, else libtool fails

Revision 1.169  2008/10/22 20:15:10  sparky
- add -maltivec to ppc flags (configure has broken altivec.h detection)

Revision 1.168  2008/02/04 20:39:29  qboosh
- added libdir patch (fixes soname resolving with lib64)
- release 2 (rebuild without overloaded -devel baggage on x86_64)

Revision 1.167  2008-02-04 20:20:29  qboosh
- BR+R: tslib-devel

Revision 1.166  2008-01-09 20:13:53  qboosh
- ghost soname symlink

Revision 1.165  2008-01-08 18:24:34  lisu
- updated to 1.2.13

Revision 1.164  2007-08-27 23:00:34  sls
- SDL-devel only Suggests OpenGL-GLU-devel (not Requires)

Revision 1.163  2007/08/27 22:02:19  sls
- SDL-devel Requires: OpenGL-GLU-devel (#include <GL/glu.h> in SDL_opengl.h)

Revision 1.162  2007/08/18 05:45:52  witekfl
- added bcond_without static_libs

Revision 1.161  2007/08/12 22:06:27  qboosh
- added README-SDL.txt to doc

Revision 1.160  2007/08/12 21:58:25  qboosh
- updated to 1.2.12
- BR: pulseaudio-devel (new driver, libpulse-simple is dynamically loaded)

Revision 1.159  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.158  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.157  2007/01/25 21:48:56  blekot
- reverted my ci

Revision 1.156  2007/01/25 18:39:16  blekot
- removed BuildRequires:  gcc >= 5:4.0 (build on 3.3.6)

Revision 1.155  2006/12/01 00:00:41  arekm
- rel 2

Revision 1.154  2006/11/06 00:32:26  sparky
- reverted

Revision 1.153  2006/11/05 21:37:04  sparky
- added SDLmain-dummy patch, rel 2

Revision 1.152  2006/07/01 15:41:15  qboosh
- updated 1.2.11; gcc 4.0 is needed for dynamic X libs support

Revision 1.151  2006/05/21 22:16:58  pluto
- BR: opengl-glu-devel (SDL_opengl.h includes GL/glu.h).

Revision 1.150  2006/05/19 20:17:21  qboosh
- dropped X11 from Groups (there are other displays)

Revision 1.149  2006/05/19 18:57:37  qboosh
- updated to final 1.2.10
- removed obsolete byteorder,amfix,lpthread,no_rpath_in_sdl-config,gcc4
  patches, added acfix patch; caca patch needs rewrite
- alsa and X11 libs are dlopened now - reduced -devel deps

Revision 1.148  2006/04/19 09:11:12  spider
- adaptarized

Revision 1.147  2006/04/19 09:09:46  spider
- desriptin merged from ALT Linux

Revision 1.146  2006/04/12 21:44:11  arekm
- rel .3

Revision 1.145  2006/02/12 20:48:27  pluto
- xorg modular deps.

Revision 1.144  2005/11/07 11:16:35  qboosh
- typo

Revision 1.143  2005/11/07 11:16:19  qboosh
- ac hacks to stop BRing alsa and esd when building without

Revision 1.142  2005/10/30 20:19:24  djurban
- update to todays snapshot, many fixes since 1.2.9, among others:
  * altivec support extended
  * gcc4.1 compile fixes

Revision 1.141  2005/08/29 18:55:09  qboosh
- updated to 1.2.9, updated gcc4 patch

Revision 1.140  2005/06/06 16:27:41  wolf
- cut changelog

Revision 1.139  2005/05/29 18:46:12  adgor
- Fixed svga bcond

Revision 1.138  2005/05/05 20:50:28  pluto
- linking underscore symbols fixed.

Revision 1.137  2005/05/05 14:44:18  pluto
- final gcc4 fix, release 3.

Revision 1.136  2005/05/05 13:53:26  pluto
- quick workaround for gcc PR21398.

Revision 1.135  2005/05/05 12:53:56  pluto
- gcc4 fix.

Revision 1.134  2005/04/29 12:34:11  pluto
- release 2 for Th.
